Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class SoundDescription

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.media.SampleDescription
                        |
                        +--quicktime.std.movies.media.SoundDescription

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SoundDescription
extends SampleDescription
implements quicktime.jdirect.QuickTimeLib

This class maps the SoundDescription record of the MovieToolbox. SoundDescriptions are used when adding and getting media samples to/from Sound tracks.

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SoundDescription(int format)` This constructor makes an empty SoundDescription object.

Method Summary
`void` | `addExtension(QTHandleRef extension, int idType)` Add application specific info to a Sound Description object QuickTime::AddSoundDescriptionExtension
`java.lang.Object` | `clone()` Implementation of Cloneable Interface.
`int` | `getCompressionID()`
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`QTHandle` | `getExtension(int idType)` Retrieve application specific info from a Sound Description object QuickTime::GetSoundDescriptionExtension
`int` | `getNumberOfChannels()`
`int` | `getNumChannels()`
`int` | `getPacketSize()`
`int` | `getRevLevel()`
`float` | `getSampleRate()`
`int` | `getSampleRateRounded()`
`int` | `getSampleSize()`
`int` | `getVendor()`
`int` | `getVersion()`
`void` | `removeExtension(int idType)` Remove application specific info from a Sound Description object QuickTime::RemoveSoundDescriptionExtension
`void` | `setCompressionID(int compressionID)`
`void` | `setNumberOfChannels(int numChannels)`
`void` | `setNumChannels(int numChannels)`
`void` | `setPacketSize(int packetSize)`
`void` | `setRevLevel(int revLevel)`
`void` | `setSampleRate(float sampleRate)`
`void` | `setSampleSize(int sampleSize)`
`void` | `setVendor(int vendor)`
`void` | `setVersion(int version)`
`java.lang.String` | `toString()` Print information about this object.

Methods inherited from class quicktime.std.movies.media.SampleDescription
`fromMovieImporter, getDataFormat, getDataRefIndex, getSize, setDataFormat, setDataRefIndex, setSize`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### SoundDescription

    public SoundDescription(int format)
                     throws QTException

  This constructor makes an empty SoundDescription object.
  Parameters:
    `format` - the format of the sound data that the object describes

Method Detail

### getEndianDescriptor

    public static EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### clone

    public java.lang.Object clone()

  Implementation of Cloneable Interface.
  Overrides:
    `clone` in class `SampleDescription`

### setVersion

    public void setVersion(int version)

### getVersion

    public int getVersion()

### setRevLevel

    public void setRevLevel(int revLevel)

### getRevLevel

    public int getRevLevel()

### setVendor

    public void setVendor(int vendor)

### getVendor

    public int getVendor()

### setNumberOfChannels

    public void setNumberOfChannels(int numChannels)

### getNumberOfChannels

    public int getNumberOfChannels()

### setNumChannels

    public void setNumChannels(int numChannels)

### getNumChannels

    public int getNumChannels()

### setSampleSize

    public void setSampleSize(int sampleSize)

### getSampleSize

    public int getSampleSize()

### setCompressionID

    public void setCompressionID(int compressionID)

### getCompressionID

    public int getCompressionID()

### setPacketSize

    public void setPacketSize(int packetSize)

### getPacketSize

    public int getPacketSize()

### setSampleRate

    public void setSampleRate(float sampleRate)

### getSampleRate

    public float getSampleRate()

### getSampleRateRounded

    public int getSampleRateRounded()

### toString

    public java.lang.String toString()

  Print information about this object.
  Overrides:
    `toString` in class `SampleDescription`
  Returns:
    a string representation of this object.

### addExtension

    public void addExtension(QTHandleRef extension,
                             int idType)
                      throws QTException

  Add application specific info to a Sound Description object
  QuickTime::AddSoundDescriptionExtension

  Parameters:
    `extension` - a QTHandle containing the info to add to the sound description
    `idType` - an OSType used to tag the information for later retrieval or removal

### removeExtension

    public void removeExtension(int idType)
                         throws QTException

  Remove application specific info from a Sound Description object
  QuickTime::RemoveSoundDescriptionExtension

  Parameters:
    `idType` - an OSType identifying the information for removal

### getExtension

    public QTHandle getExtension(int idType)
                          throws QTException

  Retrieve application specific info from a Sound Description object
  QuickTime::GetSoundDescriptionExtension

  Parameters:
    `idType` - an OSType identifying the information for removal
  Returns:
    a dataref to the Extension

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD